Bug 151055 - [MAINTAINER] [security] www/phpmyfaq: update to 2.6.9, fix XSS vulnerability
Summary: [MAINTAINER] [security] www/phpmyfaq: update to 2.6.9, fix XSS vulnerability
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: niels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-29 08:30 UTC by Florian Smeets
Modified: 2010-10-02 12:20 UTC (History)
0 users

See Also:


Attachments
phpmyfaq-2.6.9.patch (1.53 KB, patch)
2010-09-29 08:30 UTC, Florian Smeets
no flags Details | Diff
vuxml.diff (1.35 KB, patch)
2010-09-29 08:36 UTC, Florian Smeets
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Smeets 2010-09-29 08:30:04 UTC
- Update to 2.6.9

Generated with FreeBSD Port Tools 0.99
Comment 1 Florian Smeets 2010-09-29 08:36:16 UTC
Here is the vuxml entry.
Comment 2 niels freebsd_committer 2010-10-02 11:55:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->niels

Thanks for this update! I tested the patch and will commit it asap.  Then I'll have a look at the VuXML entry aswell 

Cheers, 
Niels
Comment 3 dfilter service freebsd_committer 2010-10-02 11:59:17 UTC
niels       2010-10-02 10:59:11 UTC

  FreeBSD ports repository

  Modified files:
    www/phpmyfaq         Makefile distinfo pkg-plist 
  Log:
  Updated to 2.6.9 to fix XSS vulnerability
  
  PR:             ports/151055
  Submitted by:   maintainer
  Approved by:    itetcu (mentor, implicit)
  Security:       http://www.phpmyfaq.de/advisory_2010-09-28.php
  
  Revision  Changes    Path
  1.53      +1 -1      ports/www/phpmyfaq/Makefile
  1.47      +3 -3      ports/www/phpmyfaq/distinfo
  1.22      +1 -0      ports/www/phpmyfaq/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 niels freebsd_committer 2010-10-02 12:17:02 UTC
State Changed
From-To: open->closed

Committed!  Thanks for the patch and especially the VuXML entry 
Niels
Comment 5 dfilter service freebsd_committer 2010-10-02 12:17:03 UTC
niels       2010-10-02 11:16:58 UTC

  FreeBSD ports repository

  Modified files:
    security/vuxml       vuln.xml 
  Log:
  Documented phpMyFaq XSS vulnerability
  
  PR:             ports/151055
  Submitted by:   Florian Smeets <flo@smeets.im>
  Approved by:    itetcu (mentor, implicit)
  Security:       http://www.phpmyfaq.de/advisory_2010-09-28.php
  
  Revision  Changes    Path
  1.2232    +33 -1     ports/security/vuxml/vuln.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"